Skip to main content

Settings

Tags: business-hours, configuration, settings, workspace

Workspace configuration and settings management

In the product: Workspace Settings

Resources

Request and response models used by the endpoints on this page.

BusinessHoursStatusResponse

FieldTypeRequiredDescription
isBusinessHoursBoolean

Example:

{
"isBusinessHours": false // Boolean
}

UpdateWorkspaceDefaultsRequest

FieldTypeRequiredDescription
defaultAgentIdInteger
defaultPhoneNumberIdInteger
emailFooterString
enableAudioRecordingBoolean
enableVoicemailDetectionBoolean
escalationBusinessHoursString
escalationNotifiedMessageTemplateString
escalationOfflineMessageTemplateString
escalationOnlineMessageTemplateString
escalationPausedMessageTemplateString
pauseOnEscalateBoolean
transcriptionModelString

Example:

{
"defaultPhoneNumberId": 0 // Integer, optional,
"defaultAgentId": 0 // Integer, optional,
"escalationBusinessHours": "string" // String, optional,
"escalationOnlineMessageTemplate": "string" // String, optional,
"escalationOfflineMessageTemplate": "string" // String, optional,
"escalationNotifiedMessageTemplate": "string" // String, optional,
"escalationPausedMessageTemplate": "string" // String, optional,
"emailFooter": "string" // String, optional,
"pauseOnEscalate": false // Boolean, optional,
"enableAudioRecording": false // Boolean, optional,
"enableVoicemailDetection": false // Boolean, optional,
"transcriptionModel": "string" // String, optional
}

WorkspaceSettingsResponse

FieldTypeRequiredDescription
defaultAgentIdInteger
defaultChatModelString
defaultInferenceModelString
defaultPhoneNumberIdInteger
defaultRealtimeModelString
defaultVoiceModelString
emailFooterString
enableAudioRecordingBoolean
enableVoicemailDetectionBoolean
escalationBusinessHoursString
escalationNotifiedMessageTemplateString
escalationOfflineMessageTemplateString
escalationOnlineMessageTemplateString
escalationPausedMessageTemplateString
firstRunModeString
idInteger
pauseOnEscalateBoolean
sesDomainString
slugString
transcriptionModelString
workspaceFolderIdInteger

Example:

{
"id": 0 // Integer,
"slug": "string" // String,
"defaultPhoneNumberId": 0 // Integer,
"defaultAgentId": 0 // Integer,
"workspaceFolderId": 0 // Integer, optional,
"escalationBusinessHours": "string" // String,
"escalationOnlineMessageTemplate": "string" // String,
"escalationOfflineMessageTemplate": "string" // String,
"escalationNotifiedMessageTemplate": "string" // String,
"escalationPausedMessageTemplate": "string" // String,
"emailFooter": "string" // String,
"pauseOnEscalate": false // Boolean,
"sesDomain": "string" // String,
"enableAudioRecording": false // Boolean,
"enableVoicemailDetection": false // Boolean,
"transcriptionModel": "string" // String, optional,
"defaultChatModel": "string" // String,
"defaultRealtimeModel": "string" // String,
"defaultInferenceModel": "string" // String,
"defaultVoiceModel": "string" // String,
"firstRunMode": "string" // String, optional
}

Endpoints

Business Hours Status

GET /api/v2/w/{workspace_uuid}/business-hours-status

Description:

Get current business hours status

Get the current business hours status for the workspace.

Authorization: Requires workspace:read scope

Response: See BusinessHoursStatusResponse


Defaults

GET /api/v2/w/{workspace_uuid}/defaults

Description:

Get workspace default settings

Get the default settings for a workspace.

If no settings row exists yet, returns workspace defaults. The row is created on the first update.

Authorization: Requires workspace:read scope

Response: See WorkspaceSettingsResponse


Update Defaults

PUT /api/v2/w/{workspace_uuid}/defaults

Description:

Update workspace default settings

Update default settings for a workspace.

Authorization: Requires workspace:write scope

Parameters:

Response: See WorkspaceSettingsResponse


First Run State

GET /api/v2/w/{workspace_uuid}/first-run-state

Authorization: Requires workspace:read scope

Response: See FirstRunState


Update First Run State

PUT /api/v2/w/{workspace_uuid}/first-run-state

Authorization: Requires workspace:write scope

Parameters:

  • request (FirstRunState)

Response: See FirstRunState